## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestFactory Member List

This is the complete list of members for iQuestFactory, including all inherited members.

ClearDefaultParameters()=0 | iQuestFactory | `[pure virtual]`
CreateQuest(const celQuestParams &params)=0 | iQuestFactory | `[pure virtual]`
CreateSequence(const char *name)=0 | iQuestFactory | `[pure virtual]`
CreateState(const char *name)=0 | iQuestFactory | `[pure virtual]`
GetDefaultParameter(const char *name) const =0 | iQuestFactory | `[pure virtual]`
GetName() const =0 | iQuestFactory | `[pure virtual]`
GetSequence(const char *name)=0 | iQuestFactory | `[pure virtual]`
GetState(const char *name)=0 | iQuestFactory | `[pure virtual]`
Load(iDocumentNode *node)=0 | iQuestFactory | `[pure virtual]`
SetDefaultParameter(const char *name, const char *value)=0 | iQuestFactory | `[pure virtual]`